/*
* Title:	StatusWin.h
* Author:	M.Thomas BEAM Ltd
* Date:		2007-02-13
*
* Contents:	Configuration Data entry and control window
*
* Mod Rec:
*
*/


#ifndef STATUSWIN_H
#define STATUSWIN_H

#include <BString.h>
#include <qhbox.h>
#include <Control.h>
#include <qtextedit.h>
#include <qtimer.h>

/*! Configure System and setup user interface window. 
*
*/
class StatusWin : public QHBox {
        Q_OBJECT
public:
        StatusWin(QWidget* w,Control& c);
	~StatusWin();
public slots:
	void	show();					///< Update and make the widget visible
	void	hide();	

private slots:
	void	updateTimed();
	void	updateForced();
	void	getStatus();
private:
	void	warningDialog(BString title, BError err);
	Control&		ocontrol;
	QTextEdit*		ostatus;
	QTimer*			oticker;
	int			owarningActive;

};
#endif
